Package org.eclipse.net4j.util.collection

## Class CollectionUtil

- java.lang.Object
- - org.eclipse.net4j.util.collection.CollectionUtil

-     public final class CollectionUtil
      extends java.lang.Object

  Various static helper methods.
  Since:
    3.5
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CollectionUtil.KeepMappedValue` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <T> boolean` | `addNotNull​(java.util.Collection<? super T> c, T e)` |
    `static <K,​V> V` | `compute​(java.util.Map<K,​V> map, K key, java.util.function.BiFunction<? super K,​? super V,​? extends V> remappingFunction)` |
    `static <T> java.util.Iterator<T>` | `dump​(java.util.Iterator<T> it)` |
    `static <K,​V> java.util.List<K>` | `removeAll​(java.util.Map<K,​V> map, java.util.function.BiPredicate<K,​V> predicate)` |
    `static <T> java.util.Set<T>` | `setOf​(java.util.Collection<? extends T> c)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### dump

          public static <T> java.util.Iterator<T> dump​(java.util.Iterator<T> it)

    - #### addNotNull

          public static <T> boolean addNotNull​(java.util.Collection<? super T> c,
                                               T e)

      Since:
        3.16

    - #### setOf

          public static <T> java.util.Set<T> setOf​(java.util.Collection<? extends T> c)

      Since:
        3.16

    - #### removeAll

          public static <K,​V> java.util.List<K> removeAll​(java.util.Map<K,​V> map,
                                                                java.util.function.BiPredicate<K,​V> predicate)

      Since:
        3.16

    - #### compute

          public static <K,​V> V compute​(java.util.Map<K,​V> map,
                                              K key,
                                              java.util.function.BiFunction<? super K,​? super V,​? extends V> remappingFunction)

      Since:
        3.16